#############################################################################
# Makefile for building: socnetv
# Generated by qmake (2.01a) (Qt 4.5.2) on: Thu Jan 28 01:03:40 2010
# Project:  socnetv.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -msse -mfpmath=sse -ffast-math -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4 -Isrc -I/usr/include/qt4 -I/usr/local/include -I/usr/include -I/usr/include/qt4 -Irelease -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQtWebKit -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = release/

####### Files

SOURCES       = src/backgrcircle.cpp \
		src/graphicswidget.cpp \
		src/edge.cpp \
		src/edgeweight.cpp \
		src/graph.cpp \
		src/htmlviewer.cpp \
		src/main.cpp \
		src/mainwindow.cpp \
		src/matrix.cpp \
		src/node.cpp \
		src/nodelabel.cpp \
		src/nodenumber.cpp \
		src/texteditor.cpp \
		src/vertex.cpp \
		src/parser.cpp \
		src/filteredgesbyweightdialog.cpp \
		src/webcrawlerdialog.cpp \
		src/webcrawler.cpp \
		src/datasetselectdialog.cpp release/moc_backgrcircle.cpp \
		release/moc_graphicswidget.cpp \
		release/moc_edge.cpp \
		release/moc_graph.cpp \
		release/moc_htmlviewer.cpp \
		release/moc_mainwindow.cpp \
		release/moc_node.cpp \
		release/moc_texteditor.cpp \
		release/moc_vertex.cpp \
		release/moc_parser.cpp \
		release/moc_filteredgesbyweightdialog.cpp \
		release/moc_webcrawlerdialog.cpp \
		release/moc_webcrawler.cpp \
		release/moc_datasetselectdialog.cpp \
		release/qrc_src.cpp
OBJECTS       = release/backgrcircle.o \
		release/graphicswidget.o \
		release/edge.o \
		release/edgeweight.o \
		release/graph.o \
		release/htmlviewer.o \
		release/main.o \
		release/mainwindow.o \
		release/matrix.o \
		release/node.o \
		release/nodelabel.o \
		release/nodenumber.o \
		release/texteditor.o \
		release/vertex.o \
		release/parser.o \
		release/filteredgesbyweightdialog.o \
		release/webcrawlerdialog.o \
		release/webcrawler.o \
		release/datasetselectdialog.o \
		release/moc_backgrcircle.o \
		release/moc_graphicswidget.o \
		release/moc_edge.o \
		release/moc_graph.o \
		release/moc_htmlviewer.o \
		release/moc_mainwindow.o \
		release/moc_node.o \
		release/moc_texteditor.o \
		release/moc_vertex.o \
		release/moc_parser.o \
		release/moc_filteredgesbyweightdialog.o \
		release/moc_webcrawlerdialog.o \
		release/moc_webcrawler.o \
		release/moc_datasetselectdialog.o \
		release/qrc_src.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/build_pass.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		socnetv.pro
QMAKE_TARGET  = socnetv
DESTDIR       = 
TARGET        = socnetv

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile.Release $(TARGET)

$(TARGET): ui_filteredgesbyweightdialog.h ui_webcrawlerdialog.h ui_datasetselectdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug_and_release CONFIG+=debug -o Makefile.Release socnetv.pro

dist: 
	@$(CHK_DIR_EXISTS) release/socnetv1.0.0 || $(MKDIR) release/socnetv1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) release/socnetv1.0.0/ && $(COPY_FILE) --parents src/backgrcircle.h src/graphicswidget.h src/edge.h src/edgeweight.h src/graph.h src/htmlviewer.h src/mainwindow.h src/matrix.h src/node.h src/nodelabel.h src/nodenumber.h src/texteditor.h src/vertex.h src/parser.h src/filteredgesbyweightdialog.h src/webcrawlerdialog.h src/webcrawler.h src/datasetselectdialog.h release/socnetv1.0.0/ && $(COPY_FILE) --parents src/src.qrc release/socnetv1.0.0/ && $(COPY_FILE) --parents src/backgrcircle.cpp src/graphicswidget.cpp src/edge.cpp src/edgeweight.cpp src/graph.cpp src/htmlviewer.cpp src/main.cpp src/mainwindow.cpp src/matrix.cpp src/node.cpp src/nodelabel.cpp src/nodenumber.cpp src/texteditor.cpp src/vertex.cpp src/parser.cpp src/filteredgesbyweightdialog.cpp src/webcrawlerdialog.cpp src/webcrawler.cpp src/datasetselectdialog.cpp release/socnetv1.0.0/ && $(COPY_FILE) --parents src/forms/filteredgesbyweightdialog.ui src/forms/webcrawlerdialog.ui src/forms/datasetselectdialog.ui release/socnetv1.0.0/ && $(COPY_FILE) --parents translations/socnetv_es.ts release/socnetv1.0.0/ && (cd `dirname release/socnetv1.0.0` && $(TAR) socnetv1.0.0.tar socnetv1.0.0 && $(COMPRESS) socnetv1.0.0.tar) && $(MOVE) `dirname release/socnetv1.0.0`/socnetv1.0.0.tar.gz . && $(DEL_FILE) -r release/socnetv1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile.Release


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: release/moc_backgrcircle.cpp release/moc_graphicswidget.cpp release/moc_edge.cpp release/moc_graph.cpp release/moc_htmlviewer.cpp release/moc_mainwindow.cpp release/moc_node.cpp release/moc_texteditor.cpp release/moc_vertex.cpp release/moc_parser.cpp release/moc_filteredgesbyweightdialog.cpp release/moc_webcrawlerdialog.cpp release/moc_webcrawler.cpp release/moc_datasetselectdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) release/moc_backgrcircle.cpp release/moc_graphicswidget.cpp release/moc_edge.cpp release/moc_graph.cpp release/moc_htmlviewer.cpp release/moc_mainwindow.cpp release/moc_node.cpp release/moc_texteditor.cpp release/moc_vertex.cpp release/moc_parser.cpp release/moc_filteredgesbyweightdialog.cpp release/moc_webcrawlerdialog.cpp release/moc_webcrawler.cpp release/moc_datasetselectdialog.cpp
release/moc_backgrcircle.cpp: src/backgrcircle.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/backgrcircle.h -o release/moc_backgrcircle.cpp

release/moc_graphicswidget.cpp: src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/graphicswidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/graphicswidget.h -o release/moc_graphicswidget.cpp

release/moc_edge.cpp: src/edge.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/edge.h -o release/moc_edge.cpp

release/moc_graph.cpp: src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/graph.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/graph.h -o release/moc_graph.cpp

release/moc_htmlviewer.cpp: src/htmlviewer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/htmlviewer.h -o release/moc_htmlviewer.cpp

release/moc_mainwindow.cpp: src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/filteredgesbyweightdialog.h \
		ui_filteredgesbyweightdialog.h \
		src/webcrawlerdialog.h \
		ui_webcrawlerdialog.h \
		src/datasetselectdialog.h \
		ui_datasetselectdialog.h \
		src/mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/mainwindow.h -o release/moc_mainwindow.cpp

release/moc_node.cpp: src/node.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/node.h -o release/moc_node.cpp

release/moc_texteditor.cpp: src/texteditor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/texteditor.h -o release/moc_texteditor.cpp

release/moc_vertex.cpp: src/vertex.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/vertex.h -o release/moc_vertex.cpp

release/moc_parser.cpp: src/parser.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/parser.h -o release/moc_parser.cpp

release/moc_filteredgesbyweightdialog.cpp: ui_filteredgesbyweightdialog.h \
		src/filteredgesbyweightdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/filteredgesbyweightdialog.h -o release/moc_filteredgesbyweightdialog.cpp

release/moc_webcrawlerdialog.cpp: ui_webcrawlerdialog.h \
		src/webcrawlerdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/webcrawlerdialog.h -o release/moc_webcrawlerdialog.cpp

release/moc_webcrawler.cpp: src/webcrawler.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/webcrawler.h -o release/moc_webcrawler.cpp

release/moc_datasetselectdialog.cpp: ui_datasetselectdialog.h \
		src/datasetselectdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) src/datasetselectdialog.h -o release/moc_datasetselectdialog.cpp

compiler_rcc_make_all: release/qrc_src.cpp
compiler_rcc_clean:
	-$(DEL_FILE) release/qrc_src.cpp
release/qrc_src.cpp: src/src.qrc \
		src/images/dm.png \
		src/images/colorize.png \
		src/images/net2.png \
		src/images/help.png \
		src/images/exit.png \
		src/images/zoomout.png \
		src/images/diameter.png \
		src/images/diamond.png \
		src/images/avdistance.png \
		src/images/open.png \
		src/images/net3.png \
		src/images/erdos.png \
		src/images/symmetry.png \
		src/images/gridlines.png \
		src/images/nodes.png \
		src/images/color.png \
		src/images/box.png \
		src/images/save.png \
		src/images/connect.png \
		src/images/socnetv.png \
		src/images/sw.png \
		src/images/zoomin.png \
		src/images/forward.png \
		src/images/remove.png \
		src/images/line.png \
		src/images/letters.png \
		src/images/triangle.png \
		src/images/net.png \
		src/images/nodeout.png \
		src/images/view.png \
		src/images/symmetrize.png \
		src/images/saved.png \
		src/images/circular.png \
		src/images/print.png \
		src/images/node.png \
		src/images/plines.png \
		src/images/nodein.png \
		src/images/distance.png \
		src/images/nodecolor.png \
		src/images/add.png \
		src/images/sm.png \
		src/images/net1.png \
		src/images/webcrawler.png \
		src/images/new.png \
		src/images/clique.png \
		src/images/find.png \
		src/images/circle.png \
		src/images/disconnect.png \
		src/images/resize.png \
		src/images/back.png \
		src/images/home.png
	/usr/bin/rcc -name src src/src.qrc -o release/qrc_src.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_filteredgesbyweightdialog.h ui_webcrawlerdialog.h ui_datasetselectdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_filteredgesbyweightdialog.h ui_webcrawlerdialog.h ui_datasetselectdialog.h
ui_filteredgesbyweightdialog.h: src/forms/filteredgesbyweightdialog.ui
	/usr/bin/uic-qt4 src/forms/filteredgesbyweightdialog.ui -o ui_filteredgesbyweightdialog.h

ui_webcrawlerdialog.h: src/forms/webcrawlerdialog.ui
	/usr/bin/uic-qt4 src/forms/webcrawlerdialog.ui -o ui_webcrawlerdialog.h

ui_datasetselectdialog.h: src/forms/datasetselectdialog.ui
	/usr/bin/uic-qt4 src/forms/datasetselectdialog.ui -o ui_datasetselectdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

release/backgrcircle.o: src/backgrcircle.cpp src/backgrcircle.h \
		src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/backgrcircle.o src/backgrcircle.cpp

release/graphicswidget.o: src/graphicswidget.cpp src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/mainwindow.h \
		src/filteredgesbyweightdialog.h \
		ui_filteredgesbyweightdialog.h \
		src/webcrawlerdialog.h \
		ui_webcrawlerdialog.h \
		src/datasetselectdialog.h \
		ui_datasetselectdialog.h \
		src/node.h \
		src/edge.h \
		src/nodenumber.h \
		src/nodelabel.h \
		src/backgrcircle.h \
		src/edgeweight.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/graphicswidget.o src/graphicswidget.cpp

release/edge.o: src/edge.cpp src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/edge.h \
		src/node.h \
		src/edgeweight.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/edge.o src/edge.cpp

release/edgeweight.o: src/edgeweight.cpp src/edgeweight.h \
		src/edge.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/edgeweight.o src/edgeweight.cpp

release/graph.o: src/graph.cpp src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/graph.o src/graph.cpp

release/htmlviewer.o: src/htmlviewer.cpp src/htmlviewer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/htmlviewer.o src/htmlviewer.cpp

release/main.o: src/main.cpp src/mainwindow.h \
		src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/filteredgesbyweightdialog.h \
		ui_filteredgesbyweightdialog.h \
		src/webcrawlerdialog.h \
		ui_webcrawlerdialog.h \
		src/datasetselectdialog.h \
		ui_datasetselectdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/main.o src/main.cpp

release/mainwindow.o: src/mainwindow.cpp config.h \
		src/mainwindow.h \
		src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/filteredgesbyweightdialog.h \
		ui_filteredgesbyweightdialog.h \
		src/webcrawlerdialog.h \
		ui_webcrawlerdialog.h \
		src/datasetselectdialog.h \
		ui_datasetselectdialog.h \
		src/node.h \
		src/edge.h \
		src/nodenumber.h \
		src/nodelabel.h \
		src/edgeweight.h \
		src/htmlviewer.h \
		src/texteditor.h \
		src/backgrcircle.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/mainwindow.o src/mainwindow.cpp

release/matrix.o: src/matrix.cpp src/matrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/matrix.o src/matrix.cpp

release/node.o: src/node.cpp src/node.h \
		src/graphicswidget.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h \
		src/edge.h \
		src/nodelabel.h \
		src/nodenumber.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/node.o src/node.cpp

release/nodelabel.o: src/nodelabel.cpp src/nodelabel.h \
		src/node.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/nodelabel.o src/nodelabel.cpp

release/nodenumber.o: src/nodenumber.cpp src/nodenumber.h \
		src/node.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/nodenumber.o src/nodenumber.cpp

release/texteditor.o: src/texteditor.cpp src/texteditor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/texteditor.o src/texteditor.cpp

release/vertex.o: src/vertex.cpp src/vertex.h \
		src/graph.h \
		src/matrix.h \
		src/parser.h \
		src/webcrawler.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/vertex.o src/vertex.cpp

release/parser.o: src/parser.cpp src/parser.h \
		src/graph.h \
		src/vertex.h \
		src/matrix.h \
		src/webcrawler.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/parser.o src/parser.cpp

release/filteredgesbyweightdialog.o: src/filteredgesbyweightdialog.cpp src/filteredgesbyweightdialog.h \
		ui_filteredgesbyweightdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/filteredgesbyweightdialog.o src/filteredgesbyweightdialog.cpp

release/webcrawlerdialog.o: src/webcrawlerdialog.cpp src/webcrawlerdialog.h \
		ui_webcrawlerdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/webcrawlerdialog.o src/webcrawlerdialog.cpp

release/webcrawler.o: src/webcrawler.cpp src/webcrawler.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/webcrawler.o src/webcrawler.cpp

release/datasetselectdialog.o: src/datasetselectdialog.cpp src/datasetselectdialog.h \
		ui_datasetselectdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/datasetselectdialog.o src/datasetselectdialog.cpp

release/moc_backgrcircle.o: release/moc_backgrcircle.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_backgrcircle.o release/moc_backgrcircle.cpp

release/moc_graphicswidget.o: release/moc_graphicswidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_graphicswidget.o release/moc_graphicswidget.cpp

release/moc_edge.o: release/moc_edge.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_edge.o release/moc_edge.cpp

release/moc_graph.o: release/moc_graph.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_graph.o release/moc_graph.cpp

release/moc_htmlviewer.o: release/moc_htmlviewer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_htmlviewer.o release/moc_htmlviewer.cpp

release/moc_mainwindow.o: release/moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_mainwindow.o release/moc_mainwindow.cpp

release/moc_node.o: release/moc_node.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_node.o release/moc_node.cpp

release/moc_texteditor.o: release/moc_texteditor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_texteditor.o release/moc_texteditor.cpp

release/moc_vertex.o: release/moc_vertex.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_vertex.o release/moc_vertex.cpp

release/moc_parser.o: release/moc_parser.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_parser.o release/moc_parser.cpp

release/moc_filteredgesbyweightdialog.o: release/moc_filteredgesbyweightdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_filteredgesbyweightdialog.o release/moc_filteredgesbyweightdialog.cpp

release/moc_webcrawlerdialog.o: release/moc_webcrawlerdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_webcrawlerdialog.o release/moc_webcrawlerdialog.cpp

release/moc_webcrawler.o: release/moc_webcrawler.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_webcrawler.o release/moc_webcrawler.cpp

release/moc_datasetselectdialog.o: release/moc_datasetselectdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/moc_datasetselectdialog.o release/moc_datasetselectdialog.cpp

release/qrc_src.o: release/qrc_src.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o release/qrc_src.o release/qrc_src.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

